[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [cross-project-issues-dev] Update to httpclient/httpcore in ECF/Platform

On 7/13/2018 2:19 AM, Ed Willink wrote:
Hi

My recollection is that there is a very strong expectation that all SimRel projects build against the latest available version in Orbit.

Surely this correspondence should therefore just be a notification that new Orbit versions are available and then discussion as to why a new version cannot be accommodated and what consequences follow?

The versions Mat proposes:

org.apache.httpcomponents.httpclient 4.5.5
ÂÂÂÂÂÂÂ org.apache.httpcomponents.httpcoreÂÂ 4.4.9

Are the most recent versions in Orbit [1].ÂÂ This bug [2] was opened for ECF and then subsequent Platform adoption.ÂÂÂ If these versions cannot be adopted by other SR projects, then the discussion should occur on 2.

[1] http://download.eclipse.org/tools/orbit/downloads/drops/R20180606145124/
[2] https://bugs.eclipse.org/bugs/show_bug.cgi?id=520077